# Users.dataSources.datasets: delete

> [!NOTE]
> **Note:** Requires [authorization](https://developers.google.com/fit/rest/v1/reference/users/dataSources/datasets/delete#auth).

Performs an inclusive delete of all data points whose start and end times
have any overlap with the time range specified by the dataset ID. For most
data types, the entire data point will be deleted. For data types where the
time span represents a consistent value (such as
`com.google.activity.segment`), and a data point straddles
either end point of the dataset, only the overlapping portion of the data
point will be deleted.
[Try it now](https://developers.google.com/fit/rest/v1/reference/users/dataSources/datasets/delete#try-it).

## Request

### HTTP request

```
DELETE https://www.googleapis.com/fitness/v1/users/userId/dataSources/dataSourceId/datasets/datasetId
```

### Parameters

| Parameter name | Value | Description |
|---|---|---|
| **Path parameters** |||
| `dataSourceId` | `string` | The data stream ID of the data source that created the dataset. |
| `datasetId` | `string` | Dataset identifier that is a composite of the minimum data point start time and maximum data point end time represented as nanoseconds from the epoch. The ID is formatted like: "<var translate="no">startTime</var>-<var translate="no">endTime</var>" where <var translate="no">startTime</var> and <var translate="no">endTime</var> are 64 bit integers. |
| `userId` | `string` | Delete a dataset for the person identified. Use `me` to indicate the authenticated user. Only `me` is supported at this time. |

### Authorization

This request requires authorization with at least one of the following scopes:

| Scope |
|---|
| `https://www.googleapis.com/auth/fitness.activity.write` |
| `https://www.googleapis.com/auth/fitness.location.write` |
| `https://www.googleapis.com/auth/fitness.body.write` |
| `https://www.googleapis.com/auth/fitness.nutrition.write` |
| `https://www.googleapis.com/auth/fitness.blood_pressure.write` |
| `https://www.googleapis.com/auth/fitness.blood_glucose.write` |
| `https://www.googleapis.com/auth/fitness.oxygen_saturation.write` |
| `https://www.googleapis.com/auth/fitness.body_temperature.write` |
| `https://www.googleapis.com/auth/fitness.reproductive_health.write` |

For more information, see the [authentication and authorization](https://developers.google.com/fit/rest/v1/authorization) page.

### Request body

Do not supply a request body with this method.

## Response

If successful, this method returns an empty response body.

## Try it!


Use the APIs Explorer below to call this method on live data and see the response.